# broadcastSerializedTransaction

```javascript
(async() => {
    let broadcasted_tx = await SOLPay.broadcastSerializedTransaction([...]); // {"signature": "..."}
})();
```

### Parameters:

* serialized\_transaction: Uint8Array - the serialized, signed transaction to broadcast, which can be obtained through the `signTransaction` method ([signTransaction](/reference/sdk-reference/sign-transaction.md))

### Returns:

object (`{"signature": "..."}`) - the transaction details

* signature: string (`"..."`) - the signature of the transaction

### Throws:

* `SOL Pay SDK Fatal Error: Invalid serialized transaction ${serialized_transaction}.` - an invalid serialized transaction was used
* `SOL Pay SDK Fatal Error: No connection found. Use SOLPay.connectNetwork() to connect to the Solana network.` - could not find a connection to the Solana network
* `SOL Pay SDK Fatal Error: SOL Pay SDK Fatal Error: Unable to broadcast transaction.` - was not able to broadcast the transaction


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference/sdk-reference/broadcast-serialized-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
